Skip to main content
POST
/
v1
/
payouts
Create a payout
curl --request POST \
  --url https://api-sandbox.circle.com/v1/payouts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "idempotencyKey": "ba943ff1-ca16-49b2-ba55-1057e70ca5c7",
  "destination": {
    "type": "address_book",
    "id": "b8627ae8-732b-4d25-b947-1df8f4007a29"
  },
  "amount": {
    "amount": "3.14",
    "currency": "USD"
  },
  "purposeOfTransfer": "PMT001"
}
'
{
  "data": {
    "id": "b8627ae8-732b-4d25-b947-1df8f4007a29",
    "sourceWalletId": "53535335",
    "destination": {
      "type": "address_book",
      "id": "b8627ae8-732b-4d25-b947-1df8f4007a29"
    },
    "amount": {
      "amount": "3.14",
      "currency": "USD"
    },
    "toAmount": {
      "amount": "3.14",
      "currency": "ETH"
    },
    "fees": {
      "amount": "3.14",
      "currency": "USD"
    },
    "networkFees": {
      "amount": "0.14",
      "currency": "USD"
    },
    "purposeOfTransfer": "PMT001",
    "status": "pending",
    "errorCode": "transaction_denied",
    "riskEvaluation": {
      "decision": "denied",
      "reason": "4000"
    },
    "createDate": "2020-04-10T02:13:30.000Z",
    "updateDate": "2020-04-10T02:13:30.000Z"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json

For Circle entities other than CIRCLE_SG.

idempotencyKey
string<uuid>
required

Universally unique identifier (UUID v4) idempotency key. This key is utilized to ensure exactly-once execution of mutating requests.

Example:

"ba943ff1-ca16-49b2-ba55-1057e70ca5c7"

destination
object
required

The destination.

amount
object
required
source
object

A source wallet location.

toAmount
object
purposeOfTransfer
enum<string>

Payment reason code for the payout. Aligned with Circle payment reason codes for Crypto Payouts. Do not use PMT006. See Crypto Payouts payment reason codes.

Invalid values can return error code 5020.

Available options:
PMT000,
PMT001,
PMT002,
PMT003,
PMT004,
PMT005,
PMT007,
PMT008,
PMT009,
PMT010,
PMT011,
PMT012,
PMT013,
PMT014,
PMT015,
PMT016,
PMT017,
PMT018,
PMT019,
PMT020,
PMT021,
PMT022,
PMT023,
PMT024,
PMT025,
PMT026,
PMT027,
PMT028,
PMT029,
PMT030
Example:

"PMT001"

Response

Successfully created a payout.

data
object

Payout resource returned by create and get operations. Includes purposeOfTransfer when it was provided at create time (required for CIRCLE_SG entities).